//by JuSNS v1.0系列
//官方站：www.juSNS.com，演示站:www.ju001.com，www.julala.cn
//QQ:655071(技术)，QQ:9170617（客服）
//MSN:simplt@163.com EMail:simplt@163.com
//program design by Simplt.Xie，arjun
//========================================

var PassportDomain="http://localhost/";
var PassportSysKey="123456";



/** support firefox for XMLDocument */
var GetNodeValue = function(obj)
{
    var str = "";
    if(window.ActiveXObject)    //IE
    {
        str = obj.text;
    }
    else //Mozilla
    {
        try
        {
           str = obj.childNodes[0].nodeValue;
        }
        catch(ex)
        {
           str = "";
        }
    }
    return str;
}
if(document.implementation && document.implementation.createDocument)
{
    XMLDocument.prototype.loadXML = function(xmlString)
    {
    var childNodes = this.childNodes;
    for (var i = childNodes.length - 1; i >= 0; i--)
       this.removeChild(childNodes[i]);

    var dp = new DOMParser();
    var newDOM = dp.parseFromString(xmlString, "text/xml");
    var newElt = this.importNode(newDOM.documentElement, true);
    this.appendChild(newElt);
    };

    // check for XPath implementation
    if( document.implementation.hasFeature("XPath", "3.0") )
    {
        // prototying the XMLDocument
        XMLDocument.prototype.selectNodes = function(cXPathString, xNode)
        {
        if( !xNode ) { xNode = this; }
        var oNSResolver = this.createNSResolver(this.documentElement)
        var aItems = this.evaluate(cXPathString, xNode, oNSResolver,
            XPathResult.ORDERED_NODE_SNAPSHOT_TYPE, null)
        var aResult = [];
        for( var i = 0; i < aItems.snapshotLength; i++)
        {
        aResult[i] = aItems.snapshotItem(i);
        }
        return aResult;
        }

        // prototying the Element
        Element.prototype.selectNodes = function(cXPathString)
        {
        if(this.ownerDocument.selectNodes)
        {
        return this.ownerDocument.selectNodes(cXPathString, this);
        }
        else{throw "For XML Elements Only";}
        }
    }

    // check for XPath implementation
    if( document.implementation.hasFeature("XPath", "3.0") )
    {
        // prototying the XMLDocument
        XMLDocument.prototype.selectSingleNode = function(cXPathString, xNode)
        {
        if( !xNode ) { xNode = this; }
        var xItems = this.selectNodes(cXPathString, xNode);
        if( xItems.length > 0 )
        {
        return xItems[0];
        }
        else
        {
        return null;
        }
        }
      
        // prototying the Element
        Element.prototype.selectSingleNode = function(cXPathString)
        {  
        if(this.ownerDocument.selectSingleNode)
        {
        return this.ownerDocument.selectSingleNode(cXPathString, this);
        }
        else{throw "For XML Elements Only";}
        }
    }
}
/* end */
       
Passport={

    login:function(username,email,password)
    {
         var ifr=document.getElementById("PassportIfr");
        if(!ifr)
        {
            ifr=document.createElement("iframe");
            ifr.setAttribute("id","PassportIft");
            ifr.style.display="none";
        }
        ifr.src=PassportDomain+"login.aspx";
    },
    
    logout:function()
    {
        var ifr=document.getElementById("PassportIfr");
        if(!ifr)
        {
            ifr=document.createElement("iframe");
            ifr.setAttribute("id","PassportIft");
            ifr.style.display="none";
        }
        ifr.src=PassportDomain+"logout.aspx";
    },
    
    reguser:function(username,email,password,gender,province,city)
    {
        var URL="";
        var options={
					method:'post',
					parameters:"username="+username+"&email="+email+"&password="+password+"&gender="+gender+"&province="+province+"&city="+city,
					onComplete:
					function(transport)
					{
					    var returnvalue=transport.responseText;
					    var xmlDoc;
					    if (window.ActiveXObject) {
                            xmlDoc = new ActiveXObject("Microsoft.XMLDOM") ;
                        } else {
                            xmlDoc = document.implementation.createDocument("", "list", null);
                        } 
                        xmlDoc.async=false;
                        xmlDoc.loadXML(returnvalue);
                        var nodes=xmlDoc.documentElement;
                        var returnvalue=GetNodeValue(nodes.selectSingleNode("root/status"));
                        if(returnvalue=="0")
                            return true;
                        else
                            return false;
					} 
	            }
	            new Ajax.Request(PassportDomain+"reguser.aspx";,options);
    }
}
